org.apache.avro.tool

## Class ConcatTool

- java.lang.Object
- - org.apache.avro.tool.ConcatTool

All Implemented Interfaces:
  Tool

    public class ConcatTool
    extends Object
    implements Tool

Tool to concatenate avro files with the same schema and non-reserved metatdata.

### Constructor Summary

Constructors
Constructor and Description
`ConcatTool()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Name of tool, to be used in listings.
`String` `getShortDescription()` 1-line description to be used in command listings.
`int` `run(InputStream in, PrintStream out, PrintStream err, List<String> args)` Runs the tool with supplied arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcatTool

    public ConcatTool()

### Method Detail

#### run

    public int run(InputStream in,
                   PrintStream out,
                   PrintStream err,
                   List<String> args)
            throws Exception

Description copied from interface: `Tool`
Runs the tool with supplied arguments. Input and output streams are customizable for easier testing.

Specified by:
  `run` in interface `Tool`
Parameters:
  `in` - Input stream to read data (typically System.in).
  `out` - Output of tool (typically System.out).
  `err` - Error stream (typically System.err).
  `args` - Non-null list of arguments.
Returns:
  0 for success, 1 if the schemas of the input files differ, 2 if the non-reserved input metadata differs, 3 if the input files are encoded with more than one codec.
Throws:
  `Exception` - Just like main(), tools may throw Exception.

#### getName

    public String getName()

Description copied from interface: `Tool`
Name of tool, to be used in listings.

Specified by:
  `getName` in interface `Tool`

#### getShortDescription

    public String getShortDescription()

Description copied from interface: `Tool`
1-line description to be used in command listings.

Specified by:
  `getShortDescription` in interface `Tool`